<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
             xmlns:app="http://schemas.android.com/apk/res-auto" xmlns:tools="http://schemas.android.com/tools" android:layout_width="match_parent"
             android:layout_height="match_parent"
             android:theme="@style/Theme.TouchAction">
    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent" android:id="@+id/mainLayout">

        <TextView
                android:text="配置HomeAssistant服务地址"
                android:layout_width="286dp"
                android:layout_height="26dp" android:id="@+id/addressTextView"
                app:layout_constraintStart_toStartOf="parent" android:layout_marginEnd="8dp"
                app:layout_constraintEnd_toEndOf="parent" app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginBottom="16dp" app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="24dp" android:layout_marginStart="8dp"
                app:layout_constraintHorizontal_bias="0.318" app:layout_constraintVertical_bias="0.196"/>
        <EditText
                android:layout_width="322dp"
                android:layout_height="52dp"
                android:inputType="text|textUri"
                android:ems="10"
                android:id="@+id/urlTextView"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginStart="8dp"
                app:layout_constraintVertical_bias="0.0"
                android:layout_marginEnd="8dp"
                app:layout_constraintTop_toBottomOf="@+id/addressTextView" android:layout_marginTop="8dp"
                android:layout_marginBottom="24dp" android:text="192.168.31.45"/>
        <RadioGroup
                android:layout_width="wrap_content"
                android:layout_height="82dp"
                android:orientation="horizontal"
                app:layout_constraintTop_toBottomOf="@+id/urlTextView"
                app:layout_constraintBottom_toBottomOf="parent" app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" android:layout_marginTop="8dp"
                android:layout_marginStart="8dp" android:layout_marginEnd="8dp" android:layout_marginBottom="8dp"
                app:layout_constraintHorizontal_bias="0.144" app:layout_constraintVertical_bias="0.0"
                android:id="@+id/radioGroup">
            <RadioButton
                    android:text="http       "
                    android:layout_width="wrap_content"
                    android:layout_height="56dp" android:id="@+id/httpRadioButton" android:checked="true"/>
            <RadioButton
                    android:text="https"
                    android:layout_width="wrap_content"
                    android:layout_height="56dp" android:id="@+id/httpsRadioButton2"/>
        </RadioGroup>
        <Button
                android:text="保存"
                android:layout_width="322dp"
                android:layout_height="60dp" android:id="@+id/saveButton"
                app:layout_constraintTop_toBottomOf="@+id/radioGroup" app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintHorizontal_bias="0.505" app:layout_constraintVertical_bias="0.044"
                android:background="@drawable/button_shape" android:textColor="@color/white"/>
    </androidx.constraintlayout.widget.ConstraintLayout>
    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent" android:id="@+id/computerLayout" android:visibility="invisible">

        <ImageView
                android:layout_width="152dp"
                android:layout_height="144dp" android:id="@+id/imageView"
                android:src="@mipmap/computer"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="173dp" app:layout_constraintStart_toStartOf="parent"
                android:layout_marginStart="90dp" android:layout_marginEnd="100dp"
                app:layout_constraintEnd_toEndOf="parent" app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginBottom="333dp" tools:srcCompat="@drawable/computer"/>
        <TextView
                android:text="电脑"
                android:layout_width="wrap_content"
                android:layout_height="42dp" android:id="@+id/computerText"
                tools:text="电脑" android:textSize="24sp"
                android:layout_marginTop="36dp"
                app:layout_constraintTop_toBottomOf="@+id/imageView" app:layout_constraintStart_toStartOf="parent"
                android:layout_marginStart="186dp" android:layout_marginEnd="177dp"
                app:layout_constraintEnd_toEndOf="parent" app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginBottom="295dp"/>
        <Button
                android:text="关闭"
                android:layout_width="316dp"
                android:layout_height="57dp" android:id="@+id/computerCloseButton"
                android:layout_marginTop="40dp"
                app:layout_constraintTop_toBottomOf="@+id/computerText" app:layout_constraintStart_toStartOf="parent"
                android:layout_marginStart="51dp" android:layout_marginEnd="44dp"
                app:layout_constraintEnd_toEndOf="parent" app:layout_constraintBottom_toBottomOf="parent"
                android:layout_marginBottom="198dp" android:background="@drawable/button_shape" android:textColor="@color/white"/>
    </androidx.constraintlayout.widget.ConstraintLayout>
    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent" android:id="@+id/lightLayout" android:visibility="invisible">

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>